diff --git a/dirsrvtests/tests/suites/acl/acl_test.py b/dirsrvtests/tests/suites/acl/acl_test.py
index f42a584..89ca14b 100644
--- a/dirsrvtests/tests/suites/acl/acl_test.py
+++ b/dirsrvtests/tests/suites/acl/acl_test.py
@@ -806,250 +686,252 @@ def test_moddn_staging_prod_except(topology, moddn_setup):
     # Try to rename without the apropriate ACI  => INSUFFICIENT_ACCESS
     #
     try:
-        topology.master1.log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
-        topology.master1.rename_s(old_dn, new_rdn, newsuperior=new_superior)
+        topology_m2.ms["master1"].log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
+        topology_m2.ms["master1"].rename_s(old_dn, new_rdn, newsuperior=new_superior)
         assert 0
     except AssertionError:
-        topology.master1.log.info("Exception (not really expected exception but that is fine as it fails to rename)")
+        topology_m2.ms["master1"].log.info(
+            "Exception (not really expected exception but that is fine as it fails to rename)")
     except Exception as e:
-        topology.master1.log.info("Exception (expected): %s" % type(e).__name__)
+        topology_m2.ms["master1"].log.info("Exception (expected): %s" % type(e).__name__)
         assert isinstance(e, ldap.INSUFFICIENT_ACCESS)
 
     # successfull MOD with the ACI
-    topology.master1.log.info("\n\n######## MOVE to and from equality filter ########\n")
-    _bind_manager(topology)
-    _moddn_aci_staging_to_production(topology, mod_type=ldap.MOD_ADD,
+    topology_m2.ms["master1"].log.info("\n\n######## MOVE to and from equality filter ########\n")
+    _bind_manager(topology_m2)
+    _moddn_aci_staging_to_production(topology_m2, mod_type=ldap.MOD_ADD,
                                      target_from=STAGING_DN, target_to=PRODUCTION_DN)
-    _moddn_aci_deny_tree(topology, mod_type=ldap.MOD_ADD)
-    _bind_normal(topology)
+    _moddn_aci_deny_tree(topology_m2, mod_type=ldap.MOD_ADD)
+    _bind_normal(topology_m2)
 
-    topology.master1.log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
-    topology.master1.rename_s(old_dn, new_rdn, newsuperior=new_superior)
+    topology_m2.ms["master1"].log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
+    topology_m2.ms["master1"].rename_s(old_dn, new_rdn, newsuperior=new_superior)
 
     #
     # Now try to move an entry  under except
     #
-    topology.master1.log.info("\n\n######## MOVE staging -> Prod/Except (14) ########\n")
+    topology_m2.ms["master1"].log.info("\n\n######## MOVE staging -> Prod/Except (14) ########\n")
     old_rdn = "cn=%s14" % NEW_ACCOUNT
-    old_dn  = "%s,%s" % (old_rdn, STAGING_DN)
+    old_dn = "%s,%s" % (old_rdn, STAGING_DN)
     new_rdn = old_rdn
     new_superior = PROD_EXCEPT_DN
     try:
-        topology.master1.log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
-        topology.master1.rename_s(old_dn, new_rdn, newsuperior=new_superior)
+        topology_m2.ms["master1"].log.info("Try to MODDN %s -> %s,%s" % (old_dn, new_rdn, new_superior))
+        topology_m2.ms["master1"].rename_s(old_dn, new_rdn, newsuperior=new_superior)
         assert 0
     except AssertionError:
-        topology.master1.log.info("Exception (not really expected exception but that is fine as it fails to rename)")
+        topology_m2.ms["master1"].log.info(
+            "Exception (not really expected exception but that is fine as it fails to rename)")
     except Exception as e:
-        topology.master1.log.info("Exception (expected): %s" % type(e).__name__)
+        topology_m2.ms["master1"].log.info("Exception (expected): %s" % type(e).__name__)
         assert isinstance(e, ldap.INSUFFICIENT_ACCESS)
 
     # successfull MOD with the both ACI
-    _bind_manager(topology)
-    _moddn_aci_staging_to_production(topology, mod_type=ldap.MOD_DELETE,
+    _bind_manager(topology_m2)
+    _moddn_aci_staging_to_production(topology_m2, mod_type=ldap.MOD_DELETE,
                                      target_from=STAGING_DN, target_to=PRODUCTION_DN)
-    _moddn_aci_deny_tree(topology, mod_type=ldap.MOD_DELETE)
-    _bind_normal(topology)
+    _moddn_aci_deny_tree(topology_m2, mod_type=ldap.MOD_DELETE)
+    _bind_normal(topology_m2)
 
 
-def test_mode_default_ger_no_moddn(topology, moddn_setup):
-    topology.master1.log.info("\n\n######## mode moddn_aci : GER no moddn  ########\n")
+def test_mode_default_ger_no_moddn(topology_m2, moddn_setup):
+    topology_m2.ms["master1"].log.info("\n\n######## mode moddn_aci : GER no moddn  ########\n")
     request_ctrl = GetEffectiveRightsControl(criticality=True, authzId="dn: " + BIND_DN)
-    msg_id = topology.master1.search_ext(PRODUCTION_DN,
-                                         ldap.SCOPE_SUBTREE,
-                                         "objectclass=*",
-                                         serverctrls=[request_ctrl])
-    rtype, rdata, rmsgid, response_ctrl = topology.master1.result3(msg_id)
-    #ger={}
+    msg_id = topology_m2.ms["master1"].search_ext(PRODUCTION_DN,
+                                                  ldap.SCOPE_SUBTREE,
+                                                  "objectclass=*",
+                                                  serverctrls=[request_ctrl])
+    rtype, rdata, rmsgid, response_ctrl = topology_m2.ms["master1"].result3(msg_id)
+    # ger={}
     value = ''
     for dn, attrs in rdata:
-        topology.master1.log.info("dn: %s" % dn)
+        topology_m2.ms["master1"].log.info("dn: %s" % dn)
         value = attrs['entryLevelRights'][0]
 
-    topology.master1.log.info("########  entryLevelRights: %r" % value)
+    topology_m2.ms["master1"].log.info("########  entryLevelRights: %r" % value)
     assert 'n' not in value
 
 
-def test_mode_default_ger_with_moddn(topology, moddn_setup):
+def test_mode_default_ger_with_moddn(topology_m2, moddn_setup):
     """This test case adds the moddn aci and check ger contains 'n'"""
 
-    topology.master1.log.info("\n\n######## mode moddn_aci: GER with moddn ########\n")
+    topology_m2.ms["master1"].log.info("\n\n######## mode moddn_aci: GER with moddn ########\n")
 
     # successfull MOD with the ACI
-    _bind_manager(topology)
-    _moddn_aci_staging_to_production(topology, mod_type=ldap.MOD_ADD,
+    _bind_manager(topology_m2)
+    _moddn_aci_staging_to_production(topology_m2, mod_type=ldap.MOD_ADD,
                                      target_from=STAGING_DN, target_to=PRODUCTION_DN)
-    _bind_normal(topology)
+    _bind_normal(topology_m2)
 
     request_ctrl = GetEffectiveRightsControl(criticality=True, authzId="dn: " + BIND_DN)
-    msg_id = topology.master1.search_ext(PRODUCTION_DN,
-                                         ldap.SCOPE_SUBTREE,
-                                         "objectclass=*",
-                                         serverctrls=[request_ctrl])
-    rtype, rdata, rmsgid, response_ctrl = topology.master1.result3(msg_id)
-    #ger={}
+    msg_id = topology_m2.ms["master1"].search_ext(PRODUCTION_DN,
+                                                  ldap.SCOPE_SUBTREE,
+                                                  "objectclass=*",
+                                                  serverctrls=[request_ctrl])
+    rtype, rdata, rmsgid, response_ctrl = topology_m2.ms["master1"].result3(msg_id)
+    # ger={}
     value = ''
     for dn, attrs in rdata:
-        topology.master1.log.info("dn: %s" % dn)
+        topology_m2.ms["master1"].log.info("dn: %s" % dn)
         value = attrs['entryLevelRights'][0]
 
-    topology.master1.log.info("########  entryLevelRights: %r" % value)
+    topology_m2.ms["master1"].log.info("########  entryLevelRights: %r" % value)
     assert 'n' in value
 
     # successfull MOD with the both ACI
-    _bind_manager(topology)
-    _moddn_aci_staging_to_production(topology, mod_type=ldap.MOD_DELETE,
+    _bind_manager(topology_m2)
+    _moddn_aci_staging_to_production(topology_m2, mod_type=ldap.MOD_DELETE,
                                      target_from=STAGING_DN, target_to=PRODUCTION_DN)
-    _bind_normal(topology)
+    _bind_normal(topology_m2)
 
 
-def test_mode_switch_default_to_legacy(topology, moddn_setup):
+def test_mode_switch_default_to_legacy(topology_m2, moddn_setup):
     """This test switch the server from default mode to legacy"""
 
-    topology.master1.log.info("\n\n######## Disable the moddn aci mod ########\n")
-    _bind_manager(topology)
+    topology_m2.ms["master1"].log.info("\n\n######## Disable the moddn aci mod ########\n")
+    _bind_manager(topology_m2)
     mod = [(ldap.MOD_REPLACE, CONFIG_MODDN_ACI_ATTR, 'off')]
-    topology.master1.modify_s(DN_CONFIG, mod)
+    topology_m2.ms["master1"].modify_s(DN_CONFIG, mod)
 
 
-def test_mode_legacy_ger_no_moddn1(topology, moddn_setup):
-    topology.master1.log.info("\n\n######## mode legacy 1: GER no moddn  ########\n")
+def test_mode_legacy_ger_no_moddn1(topology_m2, moddn_setup):
+    topology_m2.ms["master1"].log.info("\n\n######## mode legacy 1: GER no moddn  ########\n")
     request_ctrl = GetEffectiveRightsControl(criticality=True, authzId="dn: " + BIND_DN)
-    msg_id = topology.master1.search_ext(PRODUCTION_DN,
-                                         ldap.SCOPE_SUBTREE,
-                                         "objectclass=*",
-                                         serverctrls=[request_ctrl])
-    rtype, rdata, rmsgid, response_ctrl = topology.master1.result3(msg_id)
-    #ger={}
+    msg_id = topology_m2.ms["master1"].search_ext(PRODUCTION_DN,
+                                                  ldap.SCOPE_SUBTREE,
+                                                  "objectclass=*",
+                                                  serverctrls=[request_ctrl])
+    rtype, rdata, rmsgid, response_ctrl = topology_m2.ms["master1"].result3(msg_id)
+    # ger={}
     value = ''
     for dn, attrs in rdata:
-        topology.master1.log.info("dn: %s" % dn)
+        topology_m2.ms["master1"].log.info("dn: %s" % dn)
         value = attrs['entryLevelRights'][0]
 
-    topology.master1.log.info("########  entryLevelRights: %r" % value)
+    topology_m2.ms["master1"].log.info("########  entryLevelRights: %r" % value)
     assert 'n' not in value
 
 
-def test_mode_legacy_ger_no_moddn2(topology, moddn_setup):
-    topology.master1.log.info("\n\n######## mode legacy 2: GER no moddn  ########\n")
+def test_mode_legacy_ger_no_moddn2(topology_m2, moddn_setup):
+    topology_m2.ms["master1"].log.info("\n\n######## mode legacy 2: GER no moddn  ########\n")
     # successfull MOD with the ACI
-    _bind_manager(topology)
-    _moddn_aci_staging_to_production(topology, mod_type=ldap.MOD_ADD,
+    _bind_manager(topology_m2)
+    _moddn_aci_staging_to_production(topology_m2, mod_type=ldap.MOD_ADD,
                                      target_from=STAGING_DN, target_to=PRODUCTION_DN)
-    _bind_normal(topology)
+    _bind_normal(topology_m2)
 
     request_ctrl = GetEffectiveRightsControl(criticality=True, authzId="dn: " + BIND_DN)
-    msg_id = topology.master1.search_ext(PRODUCTION_DN,
-                                         ldap.SCOPE_SUBTREE,
-                                         "objectclass=*",
-                                         serverctrls=[request_ctrl])
-    rtype, rdata, rmsgid, response_ctrl = topology.master1.result3(msg_id)
-    #ger={}
+    msg_id = topology_m2.ms["master1"].search_ext(PRODUCTION_DN,
+                                                  ldap.SCOPE_SUBTREE,
+                                                  "objectclass=*",
+                                                  serverctrls=[request_ctrl])
+    rtype, rdata, rmsgid, response_ctrl = topology_m2.ms["master1"].result3(msg_id)
+    # ger={}
     value = ''
     for dn, attrs in rdata:
-        topology.master1.log.info("dn: %s" % dn)
+        topology_m2.ms["master1"].log.info("dn: %s" % dn)
         value = attrs['entryLevelRights'][0]
 
-    topology.master1.log.info("########  entryLevelRights: %r" % value)
+    topology_m2.ms["master1"].log.info("########  entryLevelRights: %r" % value)
     assert 'n' not in value
 
     # successfull MOD with the both ACI
-    _bind_manager(topology)
-    _moddn_aci_staging_to_production(topology, mod_type=ldap.MOD_DELETE,
+    _bind_manager(topology_m2)
+    _moddn_aci_staging_to_production(topology_m2, mod_type=ldap.MOD_DELETE,
                                      target_from=STAGING_DN, target_to=PRODUCTION_DN)
-    _bind_normal(topology)
+    _bind_normal(topology_m2)
 
 
-def test_mode_legacy_ger_with_moddn(topology, moddn_setup):
-    topology.master1.log.info("\n\n######## mode legacy : GER with moddn  ########\n")
+def test_mode_legacy_ger_with_moddn(topology_m2, moddn_setup):
+    topology_m2.ms["master1"].log.info("\n\n######## mode legacy : GER with moddn  ########\n")
 
     # being allowed to read/write the RDN attribute use to allow the RDN
     ACI_TARGET = "(target = \"ldap:///%s\")(targetattr=\"cn\")" % (PRODUCTION_DN)
-    ACI_ALLOW    = "(version 3.0; acl \"MODDN production changing the RDN attribute\"; allow (read,search,write)"
-    ACI_SUBJECT  = " userdn = \"ldap:///%s\";)" % BIND_DN
-    ACI_BODY     = ACI_TARGET + ACI_ALLOW + ACI_SUBJECT
+    ACI_ALLOW = "(version 3.0; acl \"MODDN production changing the RDN attribute\"; allow (read,search,write)"
+    ACI_SUBJECT = " userdn = \"ldap:///%s\";)" % BIND_DN
+    ACI_BODY = ACI_TARGET + ACI_ALLOW + ACI_SUBJECT
 
     # successfull MOD with the ACI
-    _bind_manager(topology)
+    _bind_manager(topology_m2)
     mod = [(ldap.MOD_ADD, 'aci', ACI_BODY)]
-    topology.master1.modify_s(SUFFIX, mod)
-    _bind_normal(topology)
+    topology_m2.ms["master1"].modify_s(SUFFIX, mod)
+    _bind_normal(topology_m2)
 
     request_ctrl = GetEffectiveRightsControl(criticality=True, authzId="dn: " + BIND_DN)
-    msg_id = topology.master1.search_ext(PRODUCTION_DN,
-                                         ldap.SCOPE_SUBTREE,
-                                         "objectclass=*",
-                                         serverctrls=[request_ctrl])
-    rtype, rdata, rmsgid, response_ctrl = topology.master1.result3(msg_id)
-    #ger={}
+    msg_id = topology_m2.ms["master1"].search_ext(PRODUCTION_DN,
+                                                  ldap.SCOPE_SUBTREE,
+                                                  "objectclass=*",
+                                                  serverctrls=[request_ctrl])
+    rtype, rdata, rmsgid, response_ctrl = topology_m2.ms["master1"].result3(msg_id)
+    # ger={}
     value = ''
     for dn, attrs in rdata:
-        topology.master1.log.info("dn: %s" % dn)
+        topology_m2.ms["master1"].log.info("dn: %s" % dn)
         value = attrs['entryLevelRights'][0]
 
-    topology.master1.log.info("########  entryLevelRights: %r" % value)
+    topology_m2.ms["master1"].log.info("########  entryLevelRights: %r" % value)
     assert 'n' in value
 
     # successfull MOD with the both ACI
-    _bind_manager(topology)
+    _bind_manager(topology_m2)
     mod = [(ldap.MOD_DELETE, 'aci', ACI_BODY)]
-    topology.master1.modify_s(SUFFIX, mod)
-    #_bind_normal(topology)
+    topology_m2.ms["master1"].modify_s(SUFFIX, mod)
+    # _bind_normal(topology_m2)
 
 
 @pytest.fixture(scope="module")
-def rdn_write_setup(topology):
-    topology.master1.log.info("\n\n######## Add entry tuser ########\n")
-    topology.master1.add_s(Entry((SRC_ENTRY_DN, {
-                                                'objectclass': "top person".split(),
-                                                'sn': SRC_ENTRY_CN,
-                                                'cn': SRC_ENTRY_CN})))
+def rdn_write_setup(topology_m2):
+    topology_m2.ms["master1"].log.info("\n\n######## Add entry tuser ########\n")
+    topology_m2.ms["master1"].add_s(Entry((SRC_ENTRY_DN, {
+        'objectclass': "top person".split(),
+        'sn': SRC_ENTRY_CN,
+        'cn': SRC_ENTRY_CN})))
 
 
-def test_rdn_write_get_ger(topology, rdn_write_setup):
+def test_rdn_write_get_ger(topology_m2, rdn_write_setup):
     ANONYMOUS_DN = ""
-    topology.master1.log.info("\n\n######## GER rights for anonymous ########\n")
+    topology_m2.ms["master1"].log.info("\n\n######## GER rights for anonymous ########\n")
     request_ctrl = GetEffectiveRightsControl(criticality=True,
                                              authzId="dn:" + ANONYMOUS_DN)
-    msg_id = topology.master1.search_ext(SUFFIX,
-                                         ldap.SCOPE_SUBTREE,
-                                         "objectclass=*",
-                                         serverctrls=[request_ctrl])
-    rtype, rdata, rmsgid, response_ctrl = topology.master1.result3(msg_id)
+    msg_id = topology_m2.ms["master1"].search_ext(SUFFIX,
+                                                  ldap.SCOPE_SUBTREE,
+                                                  "objectclass=*",
+                                                  serverctrls=[request_ctrl])
+    rtype, rdata, rmsgid, response_ctrl = topology_m2.ms["master1"].result3(msg_id)
     value = ''
     for dn, attrs in rdata:
-        topology.master1.log.info("dn: %s" % dn)
+        topology_m2.ms["master1"].log.info("dn: %s" % dn)
         for value in attrs['entryLevelRights']:
-            topology.master1.log.info("########  entryLevelRights: %r" % value)
+            topology_m2.ms["master1"].log.info("########  entryLevelRights: %r" % value)
             assert 'n' not in value
 
 
-def test_rdn_write_modrdn_anonymous(topology, rdn_write_setup):
+def test_rdn_write_modrdn_anonymous(topology_m2, rdn_write_setup):
     ANONYMOUS_DN = ""
-    topology.master1.close()
-    topology.master1.binddn = ANONYMOUS_DN
-    topology.master1.open()
-    msg_id = topology.master1.search_ext("", ldap.SCOPE_BASE, "objectclass=*")
-    rtype, rdata, rmsgid, response_ctrl = topology.master1.result3(msg_id)
+    topology_m2.ms["master1"].close()
+    topology_m2.ms["master1"].binddn = ANONYMOUS_DN
+    topology_m2.ms["master1"].open()
+    msg_id = topology_m2.ms["master1"].search_ext("", ldap.SCOPE_BASE, "objectclass=*")
+    rtype, rdata, rmsgid, response_ctrl = topology_m2.ms["master1"].result3(msg_id)
     for dn, attrs in rdata:
-        topology.master1.log.info("dn: %s" % dn)
+        topology_m2.ms["master1"].log.info("dn: %s" % dn)
         for attr in attrs:
-            topology.master1.log.info("########  %r: %r" % (attr, attrs[attr]))
+            topology_m2.ms["master1"].log.info("########  %r: %r" % (attr, attrs[attr]))
 
     try:
-        topology.master1.rename_s(SRC_ENTRY_DN, "cn=%s" % DST_ENTRY_CN, delold=True)
+        topology_m2.ms["master1"].rename_s(SRC_ENTRY_DN, "cn=%s" % DST_ENTRY_CN, delold=True)
     except Exception as e:
-        topology.master1.log.info("Exception (expected): %s" % type(e).__name__)
+        topology_m2.ms["master1"].log.info("Exception (expected): %s" % type(e).__name__)
         isinstance(e, ldap.INSUFFICIENT_ACCESS)
 
     try:
-        topology.master1.getEntry(DST_ENTRY_DN, ldap.SCOPE_BASE, "objectclass=*")
+        topology_m2.ms["master1"].getEntry(DST_ENTRY_DN, ldap.SCOPE_BASE, "objectclass=*")
         assert False
     except Exception as e:
-        topology.master1.log.info("The entry was not renamed (expected)")
+        topology_m2.ms["master1"].log.info("The entry was not renamed (expected)")
         isinstance(e, ldap.NO_SUCH_OBJECT)
 
-    _bind_manager(topology)
+    _bind_manager(topology_m2)
 
 
 if __name__ == '__main__':
